=== debian/changelog ===
gitlab-ci-multi-runner (10.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * postinst: remove broken "gitlab-runner.service" symlink if upgraded
    from "gitlab-ci-multi-runner".
  * New patch to fix test failure on [armel, armhf].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 26 Mar 2018 01:08:26 +1100

gitlab-ci-multi-runner (10.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release [February 2018].
  * Build-Depends:
    - golang-github-codegangsta-cli-dev
    + golang-github-urfave-cli-dev
    + golang-github-go-ini-ini-dev
    + golang-github-mattn-go-zglob-dev
  * Renamed binary package: gitlab-ci-multi-runner --> gitlab-runner.
  * rules: set/embed package VERSION.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 21 Mar 2018 11:59:10 +1100

gitlab-ci-multi-runner (9.5.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * New patch to fix FTBFS on mips.
  * Updated URLs in "bug-presubj".
  * Build-Depends:
    - golang-github-docker-docker-dev
    * golang-github-docker-distribution-dev (>= 2.6.2~)
    * golang-github-docker-go-connections-dev (>= 0.3.0~)
    * golang-github-docker-docker-credential-helpers-dev (>= 0.5.0~)
  * NEWS file updated with link to snapshot.debian.org where
    GitLab v8 - compatible runner v1.11.4 packages can be found.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 19 Mar 2018 22:13:11 +1100

gitlab-ci-multi-runner (9.5.1+dfsg-1) experimental; urgency=medium

  * New upstream release [October 2017].
  * Build-Depends:
    + golang-github-azure-go-ansiterm-dev
    + golang-github-gorilla-context-dev
    + golang-github-hashicorp-go-version-dev
    + golang-github-vbatts-tar-split-dev
    + golang-github-gorilla-mux-dev
    + golang-github-docker-docker-credential-helpers-dev
    + golang-github-emicklei-go-restful-swagger12-dev
    - golang-github-opencontainers-runc-dev
    + golang-github-opencontainers-docker-runc-dev
    - golang-github-stretchr-testify-dev
    + golang-github-stretchr-testify-dev (>= 1.2.1~)
  * Priority: optional
  * Standards-Version: 4.1.3
  * debhelper & compat to versions 11.
  * Use "vendor/github.com/opencontainers/runtime-spec" to fix FTBFS.
  * New "swagger.patch" to fix FTBFS (Closes: #891279).
  * Updated Homepage URL.
  * rules:
    + remove all .generated.go files (Closes: #891739).
    + removed calls to dpkg-parsechangelog.
    + added "DH_GOLANG_GO_GENERATE := 1".
  * watch file is fixed and updated for new upstream repository location.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 18 Mar 2018 13:37:52 +1100

gitlab-ci-multi-runner (9.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release [May 2017].
  * mk-prebuilt-images.sh: generate importable (not loadable) Docker
    image to reduce downstream burden of patches.
  * Temporary switched to bundled "github.com/docker/docker" as recent
    enough version is not available on i386.
  * Build-Depends:
    + golang-github-docker-go-connections-dev
    + golang-github-docker-engine-api-dev
    + golang-github-pkg-errors-dev
    + golang-github-pmezard-go-difflib-dev
    - golang-github-fsouza-go-dockerclient-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 27 May 2017 21:41:18 +1000
