=== debian/control ===
Source: gitlab-ci-multi-runner
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 11~) ,dh-golang
              ,golang-go (>= 2:1.7~)
    ,golang-github-azure-go-ansiterm-dev
    ,golang-github-blang-semver-dev
    ,golang-github-burntsushi-toml-dev
    ,golang-github-urfave-cli-dev
    ,golang-github-coreos-go-oidc-dev (>= 0.0~git20160926~)
#~  ,golang-github-docker-docker-dev
    ,golang-github-docker-docker-credential-helpers-dev (>= 0.5.0~)
    ,golang-github-docker-go-connections-dev (>= 0.3.0~)
    ,golang-github-docker-engine-api-dev
    ,golang-github-docker-distribution-dev (>= 2.6.2~)
    ,golang-github-docker-spdystream-dev
    ,golang-github-emicklei-go-restful-dev (>= 2.4.0~)
    ,golang-github-emicklei-go-restful-swagger12-dev
    ,golang-github-go-ini-ini-dev
    ,golang-github-getsentry-raven-go-dev
    ,golang-github-ghodss-yaml-dev
    ,golang-github-google-cadvisor-dev
    ,golang-github-google-gofuzz-dev
    ,golang-github-gorhill-cronexpr-dev
    ,golang-github-gorilla-context-dev
    ,golang-github-gorilla-mux-dev
    ,golang-github-hashicorp-go-version-dev
    ,golang-github-imdario-mergo-dev
    ,golang-github-juju-ratelimit-dev
    ,golang-github-kardianos-osext-dev
    ,golang-github-mattn-go-zglob-dev
    ,golang-github-minio-minio-go-dev
    ,golang-github-opencontainers-docker-runc-dev
#~  ,golang-github-opencontainers-specs-dev
    ,golang-github-pborman-uuid-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-pmezard-go-difflib-dev
    ,golang-github-prometheus-client-golang-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-spf13-pflag-dev
    ,golang-github-stretchr-testify-dev (>= 1.2.1~)
#   ,golang-github-ugorji-go-codec
    ,golang-github-vbatts-tar-split-dev
    ,golang-golang-x-crypto-dev
    ,golang-golang-x-oauth2-google-dev
    ,golang-gopkg-inf.v0-dev
    ,golang-yaml.v2-dev
# tests:
    ,ca-certificates
    ,git
    ,golang-github-golang-mock-dev
Standards-Version: 4.1.3
Homepage: https://gitlab.com/gitlab-org/gitlab-runner
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gitlab-ci-multi-runner.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gitlab-ci-multi-runner.git
XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab-ci-multi-runner

Package: gitlab-runner
Provides: gitlab-ci-multi-runner
Conflicts: gitlab-ci-multi-runner
Breaks: gitlab-ci-multi-runner
Replaces: gitlab-ci-multi-runner
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
    ,adduser
    ,ca-certificates
#    ,curl
    ,git
    ,lsb-base
Recommends: ${misc:Recommends}
    ,cdebootstrap
Suggests: ${misc:Suggests}
    ,docker.io
Description: GitLab Runner - runs continuous integration (CI) jobs
 GitLab Runner runs tests and sends the results to GitLab.
 GitLab Continuous Integration (CI) service (included with GitLab)
 coordinates the testing.
