=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://gitlab.com/gitlab-org/gitlab-runner/tags \
  .*/v?(\d[\.\d]*)/archive\.tar\.bz2
