## gitlab-ci-multi-runner 10.7.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 S3_UPLOAD_PATH ?= master
 # Keep in sync with docs/install/linux-repository.md
 DEB_PLATFORMS ?= debian/wheezy debian/jessie debian/stretch debian/buster \
-    ubuntu/trusty ubuntu/xenial ubuntu/zesty ubuntu/artful \
+    ubuntu/trusty ubuntu/xenial ubuntu/zesty ubuntu/artful ubuntu/bionic \
     raspbian/wheezy raspbian/jessie raspbian/stretch raspbian/buster \
     linuxmint/qiana linuxmint/rebecca linuxmint/rafaela linuxmint/rosa linuxmint/sarah linuxmint/serena linuxmint/sonya
 DEB_ARCHS ?= amd64 i386 armel armhf
@@ -55,11 +55,10 @@
 
 
 # Development Tools
-GOVENDOR = $(GOPATH_BIN)/govendor
 GOX = $(GOPATH_BIN)/gox
 GOBINDATA = $(GOPATH_BIN)/go-bindata
 MOCKERY = $(GOPATH_BIN)/mockery
-DEVELOPMENT_TOOLS = $(GOVENDOR) $(GOX) $(GOBINDATA) $(MOCKERY)
+DEVELOPMENT_TOOLS = $(GOX) $(GOBINDATA) $(MOCKERY)
 
 MOCKERY_FLAGS = -note="This comment works around https://github.com/vektra/mockery/issues/155"
 
@@ -208,6 +207,7 @@
 	GOPATH=$(ORIGINAL_GOPATH) mockery $(MOCKERY_FLAGS) -dir=./vendor/github.com/ayufan/golang-kardianos-service -output=./helpers/service/mocks -name='(Interface|Logger)'
 	GOPATH=$(ORIGINAL_GOPATH) mockery $(MOCKERY_FLAGS) -dir=./helpers/docker -all -inpkg
 	GOPATH=$(ORIGINAL_GOPATH) mockery $(MOCKERY_FLAGS) -dir=./common -all -inpkg
+	GOPATH=$(ORIGINAL_GOPATH) mockery $(MOCKERY_FLAGS) -dir=./shells -name fakeIAMCredentialsProvider -inpkg
 
 test-docker:
 	make test-docker-image IMAGE=centos:6 TYPE=rpm
@@ -236,7 +236,7 @@
 
 package-deps:
 	# Installing packaging dependencies...
-	gem install fpm --no-ri --no-rdoc
+	gem install rake fpm --no-ri --no-rdoc
 
 package-prepare:
 	chmod 755 packaging/root/usr/share/gitlab-runner/
@@ -313,12 +313,8 @@
 
 packagecloud-deps:
 	# Installing packagecloud dependencies...
-	gem install package_cloud --no-ri --no-rdoc
+	gem install package_cloud --version "~> 0.3.0" --no-ri --no-rdoc
 
 packagecloud-deb:
 	# Sending Debian compatible packages...
 	-for DIST in $(DEB_PLATFORMS); do \
-		package_cloud push --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST out/deb/*.deb; \
-	done
-
-packagecloud-rpm:
