=== debian/changelog ===
gitlab-ci-multi-runner (10.7.1+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release.
  * Build-Depends:
    + golang-github-docker-docker-dev
    + golang-github-dustin-go-humanize-dev
    = golang-github-minio-minio-go-dev (>= 4.0.5~)
    = golang-github-sirupsen-logrus-dev (>= 1.0.5~)
    = golang-github-opencontainers-docker-runc-dev (>= 1.0.0~rc2+git+docker1.13.1~ds1-4~)
  * New patch to fix test failure on [mips64el].
  * Standards-Version: 4.1.4.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 07 May 2018 04:16:55 +1000
