=== debian/control ===
--- 
+++ 
@@ -8,19 +8,19 @@
     ,golang-github-azure-go-ansiterm-dev
     ,golang-github-blang-semver-dev
     ,golang-github-burntsushi-toml-dev
-    ,golang-github-urfave-cli-dev
     ,golang-github-coreos-go-oidc-dev (>= 0.0~git20160926~)
-#~  ,golang-github-docker-docker-dev
+    ,golang-github-docker-distribution-dev (>= 2.6.2~)
     ,golang-github-docker-docker-credential-helpers-dev (>= 0.5.0~)
+    ,golang-github-docker-docker-dev
+    ,golang-github-docker-engine-api-dev
     ,golang-github-docker-go-connections-dev (>= 0.3.0~)
-    ,golang-github-docker-engine-api-dev
-    ,golang-github-docker-distribution-dev (>= 2.6.2~)
     ,golang-github-docker-spdystream-dev
+    ,golang-github-dustin-go-humanize-dev
     ,golang-github-emicklei-go-restful-dev (>= 2.4.0~)
     ,golang-github-emicklei-go-restful-swagger12-dev
-    ,golang-github-go-ini-ini-dev
     ,golang-github-getsentry-raven-go-dev
     ,golang-github-ghodss-yaml-dev
+    ,golang-github-go-ini-ini-dev
     ,golang-github-google-cadvisor-dev
     ,golang-github-google-gofuzz-dev
     ,golang-github-gorhill-cronexpr-dev
@@ -31,17 +31,17 @@
     ,golang-github-juju-ratelimit-dev
     ,golang-github-kardianos-osext-dev
     ,golang-github-mattn-go-zglob-dev
-    ,golang-github-minio-minio-go-dev
-    ,golang-github-opencontainers-docker-runc-dev
+    ,golang-github-minio-minio-go-dev (>= 4.0.5~)
+    ,golang-github-opencontainers-docker-runc-dev (>= 1.0.0~rc2+git+docker1.13.1~ds1-4~)
 #~  ,golang-github-opencontainers-specs-dev
     ,golang-github-pborman-uuid-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-pmezard-go-difflib-dev
     ,golang-github-prometheus-client-golang-dev
-    ,golang-github-sirupsen-logrus-dev
+    ,golang-github-sirupsen-logrus-dev (>= 1.0.5~)
     ,golang-github-spf13-pflag-dev
     ,golang-github-stretchr-testify-dev (>= 1.2.1~)
-#   ,golang-github-ugorji-go-codec
+    ,golang-github-urfave-cli-dev
     ,golang-github-vbatts-tar-split-dev
     ,golang-golang-x-crypto-dev
     ,golang-golang-x-oauth2-google-dev
@@ -51,10 +51,10 @@
     ,ca-certificates
     ,git
     ,golang-github-golang-mock-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://gitlab.com/gitlab-org/gitlab-runner
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gitlab-ci-multi-runner.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gitlab-ci-multi-runner.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/gitlab-ci-multi-runner
+Vcs-Git: https://salsa.debian.org/go-team/packages/gitlab-ci-multi-runner.git
 XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab-ci-multi-runner
 
 Package: gitlab-runner
