## gitlab-ci-multi-runner 10.8.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -16,15 +16,16 @@
 PACKAGE_CLOUD_URL ?= https://packagecloud.io/
 BUILD_PLATFORMS ?= -os '!netbsd' -os '!openbsd'
 S3_UPLOAD_PATH ?= master
+
 # Keep in sync with docs/install/linux-repository.md
 DEB_PLATFORMS ?= debian/wheezy debian/jessie debian/stretch debian/buster \
-    ubuntu/trusty ubuntu/xenial ubuntu/zesty ubuntu/artful ubuntu/bionic \
+    ubuntu/trusty ubuntu/xenial ubuntu/artful ubuntu/bionic \
     raspbian/wheezy raspbian/jessie raspbian/stretch raspbian/buster \
     linuxmint/qiana linuxmint/rebecca linuxmint/rafaela linuxmint/rosa linuxmint/sarah linuxmint/serena linuxmint/sonya
 DEB_ARCHS ?= amd64 i386 armel armhf
 RPM_PLATFORMS ?= el/6 el/7 \
     ol/6 ol/7 \
-    fedora/25 fedora/26
+    fedora/26 fedora/27 fedora/28
 RPM_ARCHS ?= x86_64 i686 arm armhf
 
 PKG = gitlab.com/gitlab-org/$(PACKAGE_NAME)
@@ -203,7 +204,7 @@
 # We rely on user GOPATH 'cause mockery seems not to be able to find dependencies in vendor directory
 mocks: $(MOCKERY)
 	rm -rf ./helpers/service/mocks
-	find . -type f -name 'mock_*' -delete
+	find . -type f ! -path '*vendor/*' -name 'mock_*' -delete
 	GOPATH=$(ORIGINAL_GOPATH) mockery $(MOCKERY_FLAGS) -dir=./vendor/github.com/ayufan/golang-kardianos-service -output=./helpers/service/mocks -name='(Interface|Logger)'
 	GOPATH=$(ORIGINAL_GOPATH) mockery $(MOCKERY_FLAGS) -dir=./helpers/docker -all -inpkg
 	GOPATH=$(ORIGINAL_GOPATH) mockery $(MOCKERY_FLAGS) -dir=./common -all -inpkg
