=== debian/changelog ===
gitlab-ci-multi-runner (10.8.0+dfsg-2) unstable; urgency=medium

  * Patch away deprecated "golang-github-docker-engine-api-dev";
    remove the latter from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Jun 2018 16:59:42 +1000

gitlab-ci-multi-runner (10.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Jun 2018 13:52:52 +1000
