=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
     ,golang-github-docker-distribution-dev (>= 2.6.2~)
     ,golang-github-docker-docker-credential-helpers-dev (>= 0.5.0~)
     ,golang-github-docker-docker-dev
-    ,golang-github-docker-engine-api-dev
     ,golang-github-docker-go-connections-dev (>= 0.3.0~)
     ,golang-github-docker-spdystream-dev
     ,golang-github-dustin-go-humanize-dev
