## gitlab-ci-multi-runner 10.8.0+dfsg1

=== debian/changelog ===
gitlab-ci-multi-runner (10.8.0+dfsg1-3) unstable; urgency=medium

  * Build-Depends:
    - golang-github-docker-distribution-dev
    - golang-github-opencontainers-docker-runc-dev
    + golang-github-opencontainers-runc-dev (>= 1.0.0~)
    + golang-github-opencontainers-specs-dev (>= 1.0.1~)
    = golang-github-docker-docker-dev (>= 17.12.1~)
  * Patcworks:
    - docker-mips.patch
    + docker_client.patch
    + docker_parsehost.patch
  * Repacked orig.tar to remove bundled Docker client.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Jun 2018 09:48:09 +1000
