=== debian/control ===
--- 
+++ 
@@ -9,9 +9,8 @@
     ,golang-github-blang-semver-dev
     ,golang-github-burntsushi-toml-dev
     ,golang-github-coreos-go-oidc-dev (>= 0.0~git20160926~)
-    ,golang-github-docker-distribution-dev (>= 2.6.2~)
     ,golang-github-docker-docker-credential-helpers-dev (>= 0.5.0~)
-    ,golang-github-docker-docker-dev
+    ,golang-github-docker-docker-dev (>= 17.12.1~)
     ,golang-github-docker-go-connections-dev (>= 0.3.0~)
     ,golang-github-docker-spdystream-dev
     ,golang-github-dustin-go-humanize-dev
@@ -31,8 +30,8 @@
     ,golang-github-kardianos-osext-dev
     ,golang-github-mattn-go-zglob-dev
     ,golang-github-minio-minio-go-dev (>= 4.0.5~)
-    ,golang-github-opencontainers-docker-runc-dev (>= 1.0.0~rc2+git+docker1.13.1~ds1-4~)
-#~  ,golang-github-opencontainers-specs-dev
+    ,golang-github-opencontainers-runc-dev (>= 1.0.0~)
+    ,golang-github-opencontainers-specs-dev (>= 1.0.1~)
     ,golang-github-pborman-uuid-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-pmezard-go-difflib-dev
