=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg1,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://gitlab.com/gitlab-org/gitlab-runner/tags \
  .*/v?(\d[\.\d]*)/gitlab-runner-v?(?:\d[\.\d]*)\.tar\.bz2
