## gitlab-ci-multi-runner 11.0.0+dfsg

=== debian/changelog ===
gitlab-ci-multi-runner (11.0.0+dfsg-2) unstable; urgency=medium

  * Patch away "golang-github-kardianos-osext-dev";
    removed the latter from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Jul 2018 13:56:13 +1000

gitlab-ci-multi-runner (11.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 24 Jun 2018 01:35:27 +1000
