=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
     ,golang-github-hashicorp-go-version-dev
     ,golang-github-imdario-mergo-dev
     ,golang-github-juju-ratelimit-dev
-    ,golang-github-kardianos-osext-dev
     ,golang-github-mattn-go-zglob-dev
     ,golang-github-minio-minio-go-dev (>= 4.0.5~)
     ,golang-github-opencontainers-runc-dev (>= 1.0.0~)
