## gitlab-ci-multi-runner 11.2.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 REVISION := $(shell git rev-parse --short=8 HEAD || echo unknown)
 BRANCH := $(shell git show-ref | grep "$(REVISION)" | grep -v HEAD | awk '{print $$2}' | sed 's|refs/remotes/origin/||' | sed 's|refs/heads/||' | sort | head -n 1)
 BUILT := $(shell date +%Y-%m-%dT%H:%M:%S%:z)
-TESTFLAGS ?= -cover
+export TESTFLAGS ?= -cover
 
 LATEST_STABLE_TAG := $(shell git -c versionsort.prereleaseSuffix="-rc" -c versionsort.prereleaseSuffix="-RC" tag -l "v*.*.*" --sort=-v:refname | awk '!/rc/' | head -n 1)
 export IS_LATEST :=
@@ -45,7 +45,7 @@
 
 # Packages in vendor/ are included in ./...
 # https://github.com/golang/go/issues/11659
-OUR_PACKAGES ?= $(subst _$(BUILD_DIR),$(PKG),$(shell go list ./... | grep -v '/vendor/'))
+export OUR_PACKAGES ?= $(subst _$(BUILD_DIR),$(PKG),$(shell go list ./... | grep -v '/vendor/'))
 
 GO_LDFLAGS ?= -X $(COMMON_PACKAGE_NAMESPACE).NAME=$(PACKAGE_NAME) -X $(COMMON_PACKAGE_NAMESPACE).VERSION=$(VERSION) \
               -X $(COMMON_PACKAGE_NAMESPACE).REVISION=$(REVISION) -X $(COMMON_PACKAGE_NAMESPACE).BUILT=$(BUILT) \
@@ -57,15 +57,16 @@
 
 # Development Tools
 GOX = $(GOPATH_BIN)/gox
-GOBINDATA = $(GOPATH_BIN)/go-bindata
 MOCKERY = $(GOPATH_BIN)/mockery
-DEVELOPMENT_TOOLS = $(GOX) $(GOBINDATA) $(MOCKERY)
+DEVELOPMENT_TOOLS = $(GOX) $(MOCKERY)
 
 MOCKERY_FLAGS = -note="This comment works around https://github.com/vektra/mockery/issues/155"
 
 .PHONY: clean version mocks
 
-all: deps build
+all: deps docker build
+
+include Makefile.docker.mk
 
 help:
 	# Commands:
@@ -101,78 +102,7 @@
 codequality:
 	./scripts/codequality analyze --dev
 
-out/docker/prebuilt-x86_64.tar.xz: $(GO_FILES) $(GOX)
-	# Create directory
-	mkdir -p out/docker
-
-ifneq (, $(shell docker info))
-	# Building gitlab-runner-helper
-	gox -osarch=linux/amd64 \
-		-ldflags "$(GO_LDFLAGS)" \
-		-output="dockerfiles/build/gitlab-runner-helper" \
-		$(PKG)/apps/gitlab-runner-helper
-
-	# Build docker images
-	docker build -t gitlab/gitlab-runner-helper:x86_64-$(REVISION) -f dockerfiles/build/Dockerfile.x86_64 dockerfiles/build
-	-docker rm -f gitlab-runner-prebuilt-x86_64-$(REVISION)
-	docker create --name=gitlab-runner-prebuilt-x86_64-$(REVISION) gitlab/gitlab-runner-helper:x86_64-$(REVISION) /bin/sh
-	docker export -o out/docker/prebuilt-x86_64.tar gitlab-runner-prebuilt-x86_64-$(REVISION)
-	docker rm -f gitlab-runner-prebuilt-x86_64-$(REVISION)
-	xz -f -9 out/docker/prebuilt-x86_64.tar
-else
-	$(warning =============================================)
-	$(warning WARNING: downloading prebuilt docker images that will be embedded in gitlab-runner)
-	$(warning WARNING: to use images compiled from your code install Docker Engine)
-	$(warning WARNING: and remove out/docker/prebuilt-x86_64.tar.xz)
-	$(warning =============================================)
-	curl -o out/docker/prebuilt-x86_64.tar.xz \
-		https://gitlab-runner-downloads.s3.amazonaws.com/master/docker/prebuilt-x86_64.tar.xz
-endif
-
-out/docker/prebuilt-arm.tar.xz: $(GO_FILES) $(GOX)
-	# Create directory
-	mkdir -p out/docker
-
-ifneq (, $(shell docker info))
-	# Building gitlab-runner-helper
-	gox -osarch=linux/arm \
-		-ldflags "$(GO_LDFLAGS)" \
-		-output="dockerfiles/build/gitlab-runner-helper" \
-		$(PKG)/apps/gitlab-runner-helper
-
-	# Build docker images
-	docker build -t gitlab/gitlab-runner-helper:arm-$(REVISION) -f dockerfiles/build/Dockerfile.arm dockerfiles/build
-	-docker rm -f gitlab-runner-prebuilt-arm-$(REVISION)
-	docker create --name=gitlab-runner-prebuilt-arm-$(REVISION) gitlab/gitlab-runner-helper:arm-$(REVISION) /bin/sh
-	docker export -o out/docker/prebuilt-arm.tar gitlab-runner-prebuilt-arm-$(REVISION)
-	docker rm -f gitlab-runner-prebuilt-arm-$(REVISION)
-	xz -f -9 out/docker/prebuilt-arm.tar
-else
-	$(warning =============================================)
-	$(warning WARNING: downloading prebuilt docker images that will be embedded in gitlab-runner)
-	$(warning WARNING: to use images compiled from your code install Docker Engine)
-	$(warning WARNING: and remove out/docker/prebuilt-arm.tar.xz)
-	$(warning =============================================)
-	curl -o out/docker/prebuilt-arm.tar.xz \
-		https://gitlab-runner-downloads.s3.amazonaws.com/master/docker/prebuilt-arm.tar.xz
-endif
-
-executors/docker/bindata.go: out/docker/prebuilt-x86_64.tar.xz out/docker/prebuilt-arm.tar.xz $(GOBINDATA)
-	# Generating embedded data
-	go-bindata \
-		-pkg docker \
-		-nocompress \
-		-nomemcopy \
-		-nometadata \
-		-prefix out/docker/ \
-		-o executors/docker/bindata.go \
-		out/docker/prebuilt-x86_64.tar.xz \
-		out/docker/prebuilt-arm.tar.xz
-	go fmt executors/docker/bindata.go
-
-docker: executors/docker/bindata.go
-
-build: executors/docker/bindata.go $(GOX)
+build: $(GOX)
 	# Building $(NAME) in version $(VERSION) for $(BUILD_PLATFORMS)
 	gox $(BUILD_PLATFORMS) \
 		-ldflags "$(GO_LDFLAGS)" \
@@ -186,16 +116,32 @@
 		-o "out/binaries/$(NAME)" \
 		$(PKG)
 
-build_current: executors/docker/bindata.go build_simple
-
-check_race_conditions: executors/docker/bindata.go
+build_current: docker build_simple
+
+check_race_conditions:
 	@./scripts/check_race_conditions $(OUR_PACKAGES)
 
-test: executors/docker/bindata.go
+test: $(PKG_BUILD_DIR) docker
 	# Running tests...
 	go test $(OUR_PACKAGES) $(TESTFLAGS)
 
-install: executors/docker/bindata.go
+parallel_test_prepare: $(GOPATH_SETUP)
+	# Preparing test commands
+	@./scripts/go_test_with_coverage_report prepare
+
+parallel_test_execute: $(GOPATH_SETUP) pull_images_for_tests
+	# executing tests
+	@./scripts/go_test_with_coverage_report execute
+
+parallel_test_coverage_report: $(GOPATH_SETUP)
+	# Preparing coverage report
+	@./scripts/go_test_with_coverage_report coverage
+
+pull_images_for_tests: $(GOPATH_SETUP)
+	# Pulling images required for some tests
+	@go run ./scripts/pull-images-for-tests/main.go
+
+install:
 	go install --ldflags="$(GO_LDFLAGS)" $(PKG)
 
 dockerfiles:
@@ -237,7 +183,7 @@
 
 package-deps:
 	# Installing packaging dependencies...
-	gem install rake fpm --no-ri --no-rdoc
+	which fpm 1>/dev/null || gem install rake fpm --no-ri --no-rdoc
 
 package-prepare:
 	chmod 755 packaging/root/usr/share/gitlab-runner/
@@ -283,7 +229,12 @@
 		--deb-suggests docker-engine \
 		-a $(PACKAGE_ARCH) \
 		packaging/root/=/ \
-		out/binaries/$(NAME)-linux-$(ARCH)=/usr/bin/gitlab-runner
+		out/binaries/$(NAME)-linux-$(ARCH)=/usr/lib/gitlab-runner/gitlab-runner \
+		out/helper-images/=/usr/lib/gitlab-runner/helper-images/
+	@if [ -n "$(GPG_KEYID)" ]; then \
+		dpkg-sig -g "--no-tty --digest-algo 'sha512' --passphrase '$(GPG_PASSPHRASE)'" \
+			-k $(GPG_KEYID) --sign builder "out/deb/$(PACKAGE_NAME)_$(PACKAGE_ARCH).deb" ;\
+	fi
 
 package-rpm-fpm:
 	@mkdir -p out/rpm/
@@ -308,7 +259,16 @@
 		--depends tar \
 		-a $(PACKAGE_ARCH) \
 		packaging/root/=/ \
-		out/binaries/$(NAME)-linux-$(ARCH)=/usr/bin/gitlab-runner
+		out/binaries/$(NAME)-linux-$(ARCH)=/usr/lib/gitlab-runner/gitlab-runner \
+		out/helper-images/=/usr/lib/gitlab-runner/helper-images/
+	@if [ -n "$(GPG_KEYID)" ] ; then \
+		echo "yes" | setsid rpm \
+			--define "_gpg_name $(GPG_KEYID)" \
+			--define "_signature gpg" \
+			--define "__gpg_check_password_cmd /bin/true" \
+			--define "__gpg_sign_cmd %{__gpg} gpg --batch --no-armor --digest-algo 'sha512' --passphrase '$(GPG_PASSPHRASE)' --no-secmem-warning -u '%{_gpg_name}' --sign --detach-sign --output %{__signature_filename} %{__plaintext_filename}" \
+			--addsign out/rpm/$(PACKAGE_NAME)_$(PACKAGE_ARCH).rpm ;\
+	fi
 
 packagecloud: packagecloud-deps packagecloud-deb packagecloud-rpm
 
@@ -319,3 +279,55 @@
 packagecloud-deb:
 	# Sending Debian compatible packages...
 	-for DIST in $(DEB_PLATFORMS); do \
+		package_cloud push --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST out/deb/*.deb; \
+	done
+
+packagecloud-rpm:
+	# Sending RedHat compatible packages...
+	-for DIST in $(RPM_PLATFORMS); do \
+		package_cloud push --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST out/rpm/*.rpm; \
+	done
+
+packagecloud-yank:
+ifneq ($(YANK),)
+	# Removing $(YANK) from packagecloud...
+	-for DIST in $(DEB_PLATFORMS); do \
+		for ARCH in $(DEB_ARCHS); do \
+			package_cloud yank --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST $(PACKAGE_NAME)_$(YANK)_$$ARCH.deb & \
+		done; \
+	done; \
+	for DIST in $(RPM_PLATFORMS); do \
+		for ARCH in $(RPM_ARCHS); do \
+			package_cloud yank --url $(PACKAGE_CLOUD_URL) $(PACKAGE_CLOUD)/$$DIST $(PACKAGE_NAME)-$(YANK)-1.$$ARCH.rpm & \
+		done; \
+	done; \
+	wait
+else
+	# No version specified in YANK
+	@exit 1
+endif
+
+s3-upload:
+	export ARTIFACTS_DEST=artifacts; curl -sL https://raw.githubusercontent.com/travis-ci/artifacts/master/install | bash
+	./artifacts upload \
+		--permissions public-read \
+		--working-dir out \
+		--target-paths "$(S3_UPLOAD_PATH)/" \
+		--max-size $(shell du -bs out/ | cut -f1) \
+		$(shell cd out/; find . -type f)
+	@echo "\n\033[1m==> Download index file: \033[36mhttps://$$ARTIFACTS_S3_BUCKET.s3.amazonaws.com/$$S3_UPLOAD_PATH/index.html\033[0m\n"
+
+release_packagecloud:
+	# Releasing to https://packages.gitlab.com/runner/
+	@./ci/release_packagecloud "$$CI_JOB_NAME"
+
+release_s3: prepare_windows_zip prepare_zoneinfo prepare_index
+	# Releasing to S3
+	@./ci/release_s3
+
+out/binaries/gitlab-runner-windows-%.zip: out/binaries/gitlab-runner-windows-%.exe
+	zip --junk-paths $@ $<
+	cd out/ && zip -r ../$@ helper-images
+
+prepare_windows_zip: out/binaries/gitlab-runner-windows-386.zip out/binaries/gitlab-runner-windows-amd64.zip
+
