=== debian/changelog ===
gitlab-ci-multi-runner (11.2.0+dfsg-2ubuntu1) disco; urgency=medium

  * Fix ftbfs: 
    - Build-Depend on tzdata to fix test.
    - Build-Depend on golang-github-docker-distribution-dev directly.
    - d/patches/cliconfig-location.patch: look for the cli config packages in
      their new location.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 07 Feb 2019 22:05:01 +1300

gitlab-ci-multi-runner (11.2.0+dfsg-2) unstable; urgency=medium

  * New patch to fix FTBFS (Closes: #911437).
    Thanks, Andreas Henriksson.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 10 Dec 2018 07:27:43 +1100

gitlab-ci-multi-runner (11.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2018].
  * Build-Depends:
    - golang-github-coreos-go-oidc-dev
    + golang-github-azure-go-autorest-dev
    + golang-github-googleapis-gnostic-dev
    + golang-github-gophercloud-gophercloud-dev
    + golang-github-howeyc-gopass-dev
    + golang-github-jpillora-backoff-dev
    + golang-github-json-iterator-go-dev
    = golang-github-sirupsen-logrus-dev (>= 1.0.6~)
  * Recommends += "xz-utils" (Closes: #908276).
    Thanks, Birger Schacht.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 11 Sep 2018 14:28:47 +1000
