=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: gitlab-ci-multi-runner
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 11~) ,dh-golang
               ,golang-go (>= 2:1.7~)
     ,golang-github-azure-go-ansiterm-dev
+    ,golang-github-azure-go-autorest-dev
     ,golang-github-blang-semver-dev
     ,golang-github-burntsushi-toml-dev
-    ,golang-github-coreos-go-oidc-dev (>= 0.0~git20160926~)
+#~  ,golang-github-coreos-go-oidc-dev (>= 0.0~git20160926~)
+    ,golang-github-docker-distribution-dev
     ,golang-github-docker-docker-credential-helpers-dev (>= 0.5.0~)
     ,golang-github-docker-docker-dev (>= 17.12.1~)
     ,golang-github-docker-go-connections-dev (>= 0.3.0~)
@@ -19,13 +22,18 @@
     ,golang-github-getsentry-raven-go-dev
     ,golang-github-ghodss-yaml-dev
     ,golang-github-go-ini-ini-dev
+    ,golang-github-googleapis-gnostic-dev
     ,golang-github-google-cadvisor-dev
     ,golang-github-google-gofuzz-dev
+    ,golang-github-gophercloud-gophercloud-dev
     ,golang-github-gorhill-cronexpr-dev
     ,golang-github-gorilla-context-dev
     ,golang-github-gorilla-mux-dev
     ,golang-github-hashicorp-go-version-dev
+    ,golang-github-howeyc-gopass-dev
     ,golang-github-imdario-mergo-dev
+    ,golang-github-jpillora-backoff-dev
+    ,golang-github-json-iterator-go-dev
     ,golang-github-juju-ratelimit-dev
     ,golang-github-mattn-go-zglob-dev
     ,golang-github-minio-minio-go-dev (>= 4.0.5~)
@@ -34,8 +42,8 @@
     ,golang-github-pborman-uuid-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-pmezard-go-difflib-dev
-    ,golang-github-prometheus-client-golang-dev
-    ,golang-github-sirupsen-logrus-dev (>= 1.0.5~)
+    ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
+    ,golang-github-sirupsen-logrus-dev (>= 1.0.6~)
     ,golang-github-spf13-pflag-dev
     ,golang-github-stretchr-testify-dev (>= 1.2.1~)
     ,golang-github-urfave-cli-dev
@@ -48,6 +56,7 @@
     ,ca-certificates
     ,git
     ,golang-github-golang-mock-dev
+    ,tzdata
 Standards-Version: 4.1.4
 Homepage: https://gitlab.com/gitlab-org/gitlab-runner
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitlab-ci-multi-runner
@@ -70,6 +79,7 @@
     ,lsb-base
 Recommends: ${misc:Recommends}
     ,cdebootstrap
+    ,xz-utils
 Suggests: ${misc:Suggests}
     ,docker.io
 Description: GitLab Runner - runs continuous integration (CI) jobs
