=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 opts="\
 pgpmode=none,\
-repacksuffix=+dfsg1,\
+repacksuffix=+dfsg,\
 repack,compression=xz,\
 dversionmangle=s{[+~]dfsg\d*}{},\
 " https://gitlab.com/gitlab-org/gitlab-runner/tags \
