## gitlab-ci-multi-runner 12.1.0+dfsg

=== debian/changelog ===
gitlab-ci-multi-runner (12.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2019] (Closes: #933087).
  * Standards-Version: 4.4.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 27 Jul 2019 12:12:23 +1000

gitlab-ci-multi-runner (12.0.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New upstream release [June 2019] (Closes: #924532, #921530).
  * B-D tightening: golang-github-minio-minio-go-dev (>= 6.0.11~)
  * Standards-Version: 4.3.0
  * Set myself as Maintainer.
  * Build-Depends:
    - golang-github-google-cadvisor-dev

  [ Michael Hudson-Doyle ]
  * Build-Depend on tzdata.
    At least one test fails without tzdata installed
  * restore golang-github-docker-distribution-dev to Build-Depends
    this package still imports github.com/docker/distribution/reference directly
    (in executors/docker/executor_docker.go) so should still have it in B-D.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 29 Jun 2019 17:27:53 +1000
