=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: gitlab-ci-multi-runner
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 11~) ,dh-golang
               ,golang-go (>= 2:1.7~)
     ,golang-github-azure-go-ansiterm-dev
@@ -23,7 +22,6 @@
     ,golang-github-ghodss-yaml-dev
     ,golang-github-go-ini-ini-dev
     ,golang-github-googleapis-gnostic-dev
-    ,golang-github-google-cadvisor-dev
     ,golang-github-google-gofuzz-dev
     ,golang-github-gophercloud-gophercloud-dev
     ,golang-github-gorhill-cronexpr-dev
@@ -36,7 +34,7 @@
     ,golang-github-json-iterator-go-dev
     ,golang-github-juju-ratelimit-dev
     ,golang-github-mattn-go-zglob-dev
-    ,golang-github-minio-minio-go-dev (>= 4.0.5~)
+    ,golang-github-minio-minio-go-dev (>= 6.0.11~)
     ,golang-github-opencontainers-runc-dev (>= 1.0.0~)
     ,golang-github-opencontainers-specs-dev (>= 1.0.1~)
     ,golang-github-pborman-uuid-dev
@@ -57,7 +55,7 @@
     ,git
     ,golang-github-golang-mock-dev
     ,tzdata
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://gitlab.com/gitlab-org/gitlab-runner
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitlab-ci-multi-runner
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitlab-ci-multi-runner.git
